View Issue Details

IDProjectCategoryView StatusLast Update
0030883FPCDocumentationpublic2017-03-01 15:38
ReporterMarco van de VoortAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.1Product Build 
Target Version3.0.2Fixed in Version3.0.2 
Summary0030883: process.runcommandindir return value not documented for one overloaded case
DescriptionThe case returning an integer is not documented in the 3.0 docs.

I looked it the source and it seems =0 on succesful execution and 1 on failure (exception). There is also a -1 set on start of the internalruncommand, but it cannot be returned I think

Additional Informationhttp://forum.lazarus-ide.org/index.php/topic,34668.msg228071/topicseen.html#new
TagsNo tags attached.
Fixed in Revision1368
FPCOldBugId0
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2016-11-08 22:28

administrator   ~0095685

Documented.

Issue History

Date Modified Username Field Change
2016-11-07 10:54 Marco van de Voort New Issue
2016-11-07 10:54 Marco van de Voort Description Updated View Revisions
2016-11-07 15:35 Michael Van Canneyt Assigned To => Michael Van Canneyt
2016-11-07 15:35 Michael Van Canneyt Status new => assigned
2016-11-07 15:35 Michael Van Canneyt Category Packages => Documentation
2016-11-08 22:28 Michael Van Canneyt Fixed in Revision => 1368
2016-11-08 22:28 Michael Van Canneyt Note Added: 0095685
2016-11-08 22:28 Michael Van Canneyt Status assigned => resolved
2016-11-08 22:28 Michael Van Canneyt Fixed in Version => 3.1.1
2016-11-08 22:28 Michael Van Canneyt Resolution open => fixed
2016-11-08 22:28 Michael Van Canneyt Target Version => 3.0.2
2017-03-01 15:38 Marco van de Voort Status resolved => closed
2017-03-01 15:38 Marco van de Voort Fixed in Version 3.1.1 => 3.0.2